Subject: Re: [T2TRG] Inter-network Coexistence in the Internet of Things

From: L M Feeney <[email-masked]>
Date: Thu, 1 Mar 2018 22:28:46 +0100

Ted, all.

Thanks for the comments.

Doing these kinds of experiments is definitely complicated and 
resource-intensive.  As far as I know, there have been very few 
published studies that reflect multi-network scenarios.  I am also 
getting the impression that there hasn't been much unpublished work 
either, though it's difficult to know for sure.

'Best practice' is probably ridiculously aspirational at this point - I 
think that the community needs more experience with these kinds of 
measurements before we can begin to define 'good practice'.  I agree 
absolutely that one part of that is what does a good lab setup look like.

I also see a role for simulation: Sometimes there is enough value in 
having total control and visibility in a simulated network to compensate 
for the reduced fidelity in modeling low-level wireless.

Perhaps the question now is whether there is interest in considering 
these issues within T2TRG / IETF?

Regards,
Laura

On 2018-02-28 17:49, Ted Hardie wrote:
> Thanks, I found that to be a useful summary of the issues and to have 
> some good pointers.   I'd like to add one potential work item, though, 
> before "define best practices for performance evaluation":  "describe 
> what a useful lab setup would look like".  Looking back at our own 
> experience at building a lab, it strike me that we have many of the 
> elements you describe but lack one:  we have multiple, heterogeneous 
> networks in a variety of topologies, but we also have a single 
> higher-order administration.  So we may actually be scheduling away some 
> of the real-world implications by parceling out project activity in the lab.
> 
> Thoughts on how to avoid that from the group would make a good addition 
> (either to your doc or to the best practices doc).
> 
> regards,
> 
> Ted
> 
> On Wed, Feb 28, 2018 at 8:24 AM, L M Feeney <[email-masked] 
> <mailto:[email-masked]>> wrote:
> 
>     Dear all,
> 
>     The  document "Inter-network Coexistence in the Internet of Things"
>     describes key challenges for coexistence for _administratively
>     independent_ IoT networks sharing unlicensed spectrum.
> 
>     Recent research results (our own and others) demonstrate the impact
>     of protocol-level interactions on network performance.  A better
>     understanding of these issues is needed to ensure successful
>     deployment of IoT applications.
> 
>     The document identifies two opportunities for the IRTF T2TRG
>     community. The first is to define best practices for performance
>     evaluation and protocol design in the context of network
>     coexistence.  The second is to investigate the use of higher layer
>     protocols to actively participate in managing network coexistence.
> 
>     Version -01  (2017/10/30) is available at
>     https://tools.ietf.org/html/draft-feeney-t2trg-inter-network-01
>     <https://tools.ietf.org/html/draft-feeney-t2trg-inter-network-01>
>     Comments are most welcome.
> 
>     If there is interest in further discussions, I will plan to be at
>     the London meeting next month.
> 
>     Regards,
>     Laura
> 
>     ---
>     Laura Marie Feeney
>     Division of Computer Systems
>     Uppsala University
> 
>     _______________________________________________
>     T2TRG mailing list
>     [email-masked] <mailto:[email-masked]>
>     https://www.irtf.org/mailman/listinfo/t2trg
>     <https://www.irtf.org/mailman/listinfo/t2trg>
> 
>

---

From: Ted Hardie <[email-masked]>
Date: Mon, 5 Mar 2018 09:45:35 -0800

(My apologies for the delay in replying, I was out at a family event)

On Thu, Mar 1, 2018 at 1:28 PM, L M Feeney <[email-masked]>
wrote:

> resource-intensive.  As far as I know, there have been very few published
> studies that reflect multi-network scenarios.  I am also getting the
> impression that there hasn't been much unpublished work either, though it's
> difficult to know for sure.
>
> Fair enough.  It's fine to aspire to things, though, and I think simply
putting a stake in the ground that says we want this is useful.

> Perhaps the question now is whether there is interest in considering these
> issues within T2TRG / IETF?
>
>
Speaking only for myself, I think the IETF works best at higher layers than
this, but that it may need to change its mental model of the lower layers
to account for this.  We saw that early on in the work on congestion
control, which had a model in which the majority of loss was congestion.
When on  radio links where that didn't hold, working with standard TCP
forced the radio systems to build retransmission at a lower layer than TCP
to avoid backoff; so we got jitter instead of loss.  That worked, though,
because the radios were either coordinated or at least operating on the
same rules.  In the current situation, it's not clear yet what the
interplay of the different systems will be.  Given that, we don't really
know what the design of the layer above has a signals on which to base its
behavior.

Ted

Regards,
>> before "define best practices for performance evaluation":  "describe what
>> a useful lab setup would look like".  Looking back at our own experience at
>> building a lab, it strike me that we have many of the elements you describe
>> but lack one:  we have multiple, heterogeneous networks in a variety of
>> topologies, but we also have a single higher-order administration.  So we
>> may actually be scheduling away some of the real-world implications by
>> parceling out project activity in the lab.
>>